<?php
namespace Instant\Credit\Block\Element;

/**
 * Class Template
 * @package Instant\Credit\Block\Element
 *
 * Class to check if module is active before render it
 */
class Template extends \Magento\Framework\View\Element\Template
{
    /**
     * @inheritdoc
     */
    public function _toHtml()
    {
        if (
            !$this->_scopeConfig->isSetFlag('payment/instantcredit/active',\Magento\Store\Model\ScopeInterface::SCOPE_STORE)
        ) {
            return '';
        }
        return parent::_toHtml();
    }
}