<?php

namespace Instant\Credit\Model\Api\Data;

/**
 * Class AddressApi
 * @package Instant\Credit\Model\Api\Data
 * @author Orenyi
 */
class AddressApi extends \Magento\Framework\DataObject implements \Instant\Credit\Api\Data\AddressInterface
{

    /**
     * @return mixed
     */
    public function getStreet()
    {
        return $this->getData(self::KEY_STREET);
    }

    /**
     * @param $street
     * @return mixed
     */
    public function setStreet($street)
    {
        return $this->setData(self::KEY_STREET, $street);
    }

    /**
     * @return mixed
     */
    public function getPostalCode()
    {
        return $this->getData(self::KEY_POSTAL_CODE);
    }

    /**
     * @param $postalCode
     * @return mixed
     */
    public function setPostalCode($postalCode)
    {
        return $this->setData(self::KEY_POSTAL_CODE, $postalCode);
    }

    /**
     * @return mixed
     */
    public function getProvince()
    {
        return $this->getData(self::KEY_PROVINCE);
    }

    /**
     * @param $province
     * @return mixed
     */
    public function setProvince($province)
    {
        return $this->setData(self::KEY_PROVINCE, $province);
    }

    /**
     * @return mixed
     */
    public function getCity()
    {
        return $this->getData(self::KEY_CITY);
    }

    /**
     * @param $city
     * @return mixed
     */
    public function setCity($city)
    {
        return $this->setData(self::KEY_CITY, $city);
    }

    /**
     * @return mixed
     */
    public function getCountry()
    {
        return $this->getData(self::KEY_COUNTRY);
    }

    /**
     * @param $country
     * @return mixed
     */
    public function setCountry($country)
    {
        return $this->setData(self::KEY_COUNTRY, $country);
    }

}
