<?php

namespace Instant\Credit\Model\Api\Data;

/**
 * Class EndUserApi
 * @package Instant\Credit\Model\Api\Data
 * @author Orenyi
 */
class EndUserApi extends \Magento\Framework\DataObject implements \Instant\Credit\Api\Data\EndUserInterface
{

    /**
     * @return mixed
     */
    public function getEndUserId() {
        return $this->getData(self::KEY_END_USER_ID);
    }

    /**
     * @param $endUserId
     * @return mixed
     */
    public function setEndUserId($endUserId) {
        return $this->setData(self::KEY_END_USER_ID, $endUserId);
    }

    /**
     * @return mixed
     */
    public function getFirstName() {
        return $this->getData(self::KEY_FIRST_NAME);
    }

    /**
     * @param $firstName
     * @return mixed
     */
    public function setFirstName($firstName) {
        return $this->setData(self::KEY_FIRST_NAME, $firstName);
    }

    /**
     * @return mixed
     */
    public function getLastName() {
        return $this->getData(self::KEY_LAST_NAME);
    }

    /**
     * @param $lastName
     * @return mixed
     */
    public function setLastName($lastName) {
        return $this->setData(self::KEY_LAST_NAME, $lastName);
    }

    /**
     * @return mixed
     */
    public function getPersonalId() {
        return $this->getData(self::KEY_PERSONAL_ID);
    }

    /**
     * @param $personalId
     * @return mixed
     */
    public function setPersonalId($personalId) {
        return $this->setData(self::KEY_PERSONAL_ID, $personalId);
    }

    /**
     * @return mixed
     */
    public function getEmail() {
        return $this->getData(self::KEY_EMAIL);
    }

    /**
     * @param $email
     * @return mixed
     */
    public function setEmail($email) {
        return $this->setData(self::KEY_EMAIL, $email);
    }

    /**
     * @return mixed
     */
    public function getBirthDate() {
        return $this->getData(self::KEY_BIRTH_DATE);
    }

    /**
     * @param $birthDate
     * @return mixed
     */
    public function setBirthDate($birthDate) {
        return $this->setData(self::KEY_BIRTH_DATE, $birthDate);
    }

    /**
     * @return mixed
     */
    public function getMobile() {
        return $this->getData(self::KEY_MOBILE);
    }

    /**
     * @param $mobile
     * @return mixed
     */
    public function setMobile($mobile) {
        return $this->setData(self::KEY_MOBILE, $mobile);
    }

    /**
     * @return mixed
     */
    public function getAddress() {
        return $this->getData(self::KEY_ADDRESS);
    }

    /**
     * @param $address
     * @return mixed
     */
    public function setAddress($address) {
        return $this->setData(self::KEY_ADDRESS, $address);
    }

    /**
     * @return mixed
     */
    public function getRegistrationDate() {
        return $this->getData(self::KEY_REGISTRATION_DATE);
    }

    /**
     * @param $registrationDate
     * @return mixed
     */
    public function setRegistrationDate($registrationDate) {
        return $this->setData(self::KEY_REGISTRATION_DATE, $registrationDate);
    }

    /**
     * @return mixed
     */
    public function getIp() {
        return $this->getData(self::KEY_IP);
    }

    /**
     * @param $ip
     * @return mixed
     */
    public function setIp($ip) {
        return $this->setData(self::KEY_IP, $ip);
    }

    /**
     * @return mixed
     */
    public function getAlernativePhoneNumber() {
        return $this->getData(self::KEY_ALTERNATIVE_PHONE_NUMBER);
    }

    /**
     * @param $phoneNumber
     * @return mixed
     */
    public function setAlternativePhoneNumber($phoneNumber) {
        return $this->setData(self::KEY_ALTERNATIVE_PHONE_NUMBER, $phoneNumber);
    }

    /**
     * @return mixed
     */
    public function getHistoricOrders() {
        return $this->getData(self::KEY_HISTORIC_ORDERS);
    }

    /**
     * @param $historicOrders
     * @return mixed
     */
    public function setHistoricOrders($historicOrders) {
        return $this->setData(self::KEY_HISTORIC_ORDERS, $historicOrders);
    }

}
