<?php

namespace Instant\Credit\Model\Api\Data;

/**
 * Class HistoricOrderApi
 * @package Instant\Credit\Model\Api\Data
 * @author Orenyi
 */
class HistoricOrderApi extends \Magento\Framework\DataObject implements \Instant\Credit\Api\Data\HistoricOrderInterface
{

    /**
     * @return mixed
     */
    public function getStatus()
    {
        return $this->getData(self::KEY_STATUS);
    }

    /**
     * @param $status
     * @return HistoricOrderApi|mixed
     */
    public function setStatus($status)
    {
        return $this->setData(self::KEY_STATUS, $status);
    }

    /**
     * @return mixed
     */
    public function getDate()
    {
        return $this->getData(self::KEY_DATE);
    }

    /**
     * @param $date
     * @return HistoricOrderApi|mixed
     */
    public function setDate($date)
    {
        return $this->setData(self::KEY_DATE, $date);
    }

    /**
     * @return mixed
     */
    public function getAmount()
    {
        return $this->getData(self::KEY_AMOUNT);
    }

    /**
     * @param $amount
     * @return HistoricOrderApi|mixed
     */
    public function setAmount($amount) {
        return $this->setData(self::KEY_AMOUNT, $amount);
    }

    /**
     * @return mixed
     */
    public function getCurrency()
    {
        return $this->getData(self::KEY_CURRENCY);
    }

    /**
     * @param $currency
     * @return HistoricOrderApi|mixed
     */
    public function setCurrency($currency)
    {
        return $this->setData(self::KEY_CURRENCY, $currency);
    }

    /**
     * @return mixed
     */
    public function getCountry()
    {
        return $this->getData(self::KEY_COUNTRY);
    }

    /**
     * @param $country
     * @return HistoricOrderApi|mixed
     */
    public function setCountry($country)
    {
        return $this->setData(self::KEY_COUNTRY, $country);
    }

}
