<?php

namespace Instant\Credit\Api\Data;

/**
 * Interface HistoricOrderInterface
 * @package Instant\Credit\Api\Data
 * @author Orenyi
 */
interface HistoricOrderInterface
{

    /**
     * Required params
     */
    const REQUIRED_PARAMS = [
        self::KEY_STATUS,
        self::KEY_DATE,
        self::KEY_AMOUNT,
        self::KEY_CURRENCY,
        self::KEY_COUNTRY
    ];

    /**
     * Properties
     */
    const KEY_STATUS = 'status';
    const KEY_DATE = 'date';
    const KEY_AMOUNT = 'amount';
    const KEY_CURRENCY = 'currency';
    const KEY_COUNTRY = 'country';

    /**
     * @return mixed
     */
    public function getStatus();

    /**
     * @param $status
     * @return mixed
     */
    public function setStatus($status);

    /**
     * @return mixed
     */
    public function getDate();

    /**
     * @param $date
     * @return mixed
     */
    public function setDate($date);

    /**
     * @return mixed
     */
    public function getAmount();

    /**
     * @param $amount
     * @return mixed
     */
    public function setAmount($amount);

    /**
     * @return mixed
     */
    public function getCurrency();

    /**
     * @param $currency
     * @return mixed
     */
    public function setCurrency($currency);

    /**
     * @return mixed
     */
    public function getCountry();

    /**
     * @param $country
     * @return mixed
     */
    public function setCountry($country);

}
