<?php

namespace Instant\Credit\Model\Api\Data;

/**
 * Class CreditConfirmationApi
 * @package Instant\Credit\Model\Api\Data
 * @author Orenyi
 */
class CreditConfirmationApi extends \Magento\Framework\DataObject implements \Instant\Credit\Api\Data\CreditConfirmationInterface
{
    /**
     * @return mixed
     */
    public function getTransactionId()
    {
        return $this->getData(self::KEY_TRANSACTION_ID);
    }

    /**
     * @param $transactionId
     * @return mixed
     */
    public function setTransactionId($transactionId)
    {
        return $this->setData(self::KEY_TRANSACTION_ID, $transactionId);
    }

    /**
     * @return mixed
     */
    public function getOrderId()
    {
        return $this->getData(self::KEY_ORDER_ID);
    }

    /**
     * @param $orderId
     * @return mixed
     */
    public function setOrderId($orderId)
    {
        return $this->setData(self::KEY_ORDER_ID, $orderId);
    }

    /**
     * @return mixed
     */
    public function getResult()
    {
        return $this->getData(self::KEY_RESULT);
    }

    /**
     * @param $result
     * @return mixed
     */
    public function setResult($result)
    {
        return $this->setData(self::KEY_RESULT, $result);
    }

    /**
     * @return mixed
     */
    public function getResultType()
    {
        return $this->getData(self::KEY_RESULT_TYPE);
    }

    /**
     * @param $resultType
     * @return mixed
     */
    public function setResultType($resultType)
    {
        return $this->setData(self::KEY_RESULT_TYPE, $resultType);
    }

    /**
     * @return mixed
     */
    public function getResultDescription()
    {
        return $this->getData(self::KEY_RESULT_DESCRIPTION);
    }

    /**
     * @param $resultDescription
     * @return mixed
     */
    public function setResultDescription($resultDescription)
    {
        return $this->setData(self::KEY_RESULT_DESCRIPTION, $resultDescription);
    }

}
