<?php

namespace Instant\Credit\Model\Api\Data;

/**
 * Class RefundApi
 * @package Instant\Credit\Model\Api\Data
 * @author Orenyi
 */
class RefundApi implements \Instant\Credit\Api\Data\RefundInterface
{
    /**
     * @return mixed
     */
    public function getOrderId()
    {
        return $this->get(self::KEY_ORDER_ID);
    }

    /**
     * @param $orderId
     * @return mixed
     */
    public function setOrderId($orderId) {
        return $this->setData(self::KEY_ORDER_ID, $orderId);
    }

    /**
     * @return mixed
     */
    public function getRefundId() {
        return $this->get(self::KEY_REFUND_ID);
    }

    /**
     * @param $refundId
     * @return mixed
     */
    public function setRefundId($refundId) {
        return $this->setData(self::KEY_REFUND_ID, $refundId);
    }

    /**
     * @return mixed
     */
    public function getAmount() {
        return $this->get(self::KEY_AMOUNT);
    }

    /**
     * @param $amount
     * @return mixed
     */
    public function setAmount($amount) {
        return $this->setData(self::KEY_AMOUNT, $amount);
    }

    /**
     * @return mixed
     */
    public function getCurrency() {
        return $this->get(self::KEY_CURRENCY);
    }

    /**
     * @param $currency
     * @return mixed
     */
    public function setCurrency($currency) {
        return $this->setData(self::KEY_CURRENCY, $currency);
    }

    /**
     * @return mixed
     */
    public function getCountry() {
        return $this->get(self::KEY_COUNTRY);
    }

    /**
     * @param $country
     * @return mixed
     */
    public function setCountry($country) {
        return $this->setData(self::KEY_COUNTRY, $country);
    }
}
