<?php

namespace Instant\Credit\Model\Api\Data;

/**
 * Class TokenApi
 * @package Instant\Credit\Model\Api\Data
 * @author Orenyi
 */
class TokenApi extends \Magento\Framework\DataObject implements \Instant\Credit\Api\Data\TokenInterface
{

    /**
     * @return mixed
     */
    public function getClientId() {
        return $this->get(self::KEY_CLIENT_ID);
    }

    /**
     * @param $clientId
     * @return mixed
     */
    public function setClientId($clientId) {
        return $this->setData(self::KEY_CLIENT_ID, $clientId);
    }

    /**
     * @return mixed
     */
    public function getUsername() {
        return $this->get(self::KEY_USERNAME);
    }

    /**
     * @param $username
     * @return mixed
     */
    public function setUsername($username) {
        return $this->setData(self::KEY_USERNAME, $username);
    }

    /**
     * @return mixed
     */
    public function getPassword() {
        return $this->get(self::KEY_PASSWORD);
    }

    /**
     * @param $password
     * @return mixed
     */
    public function setPassword($password) {
        return $this->setData(self::KEY_PASSWORD, $password);
    }

    /**
     * @return mixed
     */
    public function getGrantType() {
        return $this->getGrantType();
    }

    /**
     * @param $grantType
     * @return mixed
     */
    public function setGrantType($grantType) {
        return $this->setData(self::KEY_GRANT_TYPE, $grantType);
    }

    /**
     * @return mixed
     */
    public function getScope() {
        return $this->getScope();
    }

    /**
     * @param $scope
     * @return mixed
     */
    public function setScope($scope) {
        return $this->setData(self::KEY_SCOPE, $scope);
    }

}
