<?php

namespace Instant\Credit\Model\Config\Source;

/**
 * Class Environment
 * @package Magento\Config\Model\Config\Source
 * @author Orenyi
 */
class Environment implements \Magento\Framework\Option\ArrayInterface
{
    /**
     * Options getter
     *
     * @return array
     */
    public function toOptionArray()
    {
        return [
            [
                'value' => 1,
                'label' => __('Production')
            ],
            [
                'value' => 0,
                'label' => __('Test')
            ]
        ];
    }
}
