<?php

namespace Instant\Credit\Model\Config\Source;

/**
 * Class StoreType
 * @package Magento\Config\Model\Config\Source
 * @author Orenyi
 */
class StoreType implements \Magento\Framework\Option\ArrayInterface
{

    const VALUE_ELECTRONICS = 1;
    const VALUE_OTHER = 0;

    const LABEL_ELECTRONICS = 'Electronics';
    const LABEL_OTHER = 'Other';

    /**
     * Options getter
     *
     * @return array
     */
    public function toOptionArray()
    {
        return [
            [
                'value' => self::VALUE_ELECTRONICS,
                'label' => __(self::LABEL_ELECTRONICS)
            ],
            [
                'value' => self::VALUE_OTHER,
                'label' => __(self::LABEL_OTHER)
            ]
        ];
    }
}
