<?php

namespace Instant\Credit\Model\Enum;

/**
 * Class ResultType
 * @package Instant\Credit\Model\Enum
 * @author Orenyi
 */
class ResultType
{
    const SUCCESSFUL = 'SUCCESSFUL';
    const INCORRECT_DATE = 'INCORRECT_DATE';
    const ORDER_ID_ALREADY_EXISTS = 'ORDER_ID_ALREADY_EXISTS';
    const NO_LENDERS_AVAILABLE = 'NO_LENDERS_AVAILABLE';
    const INCORRECT_CURRENCY = 'INCORRECT_CURRENCY';
    const INCORRECT_COUNTRY = 'INCORRECT_COUNTRY';
    const UNDEFINED = 'UNDEFINED';
    const INCORRECT_AMOUNT = 'INCORRECT_AMOUNT';
    const INCORRECT_TRANSACTION_ID = 'INCORRECT_TRANSACTION_ID';
    const INCORRECT_ORDER_ID = 'INCORRECT_ORDER_ID';
    const TIMEOUT = 'TIMEOUT';
    const CANCELLED_BY_ENDUSER = 'CANCELLED_BY_ENDUSER';
    const FAIL = 'FAIL';
    const OK = 'OK';
}